package com.sooka.system.domain;

import java.math.BigDecimal;
import java.util.Date;

import com.sooka.common.annotation.Excel;
import com.sooka.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 担保信息对象 tgjj_dbxx
 *
 * @author lei
 * @date 2021-11-16
 */
public class TgjjDbxx extends BaseBusinessEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long ID;

    /** 担保合同编号 */
    @Excel(name = "担保合同编号")
    private String DBHTBH;

    /** 借款合同编号 */
    @Excel(name = "借款合同编号")
    private String JKHTBH;

    /** 担保机构名称 */
    @Excel(name = "担保机构名称")
    private String DBJGMC;

    /** 抵押物权证号 */
    @Excel(name = "抵押物权证号")
    private String DYWQZH;

    /** 抵押物他项权证号 */
    @Excel(name = "抵押物他项权证号")
    private String DYWTXQZH;

    /** 抵押物房屋坐落 */
    @Excel(name = "抵押物房屋坐落")
    private String DYWFWZL;

    /** 抵押权建立日期 */
    @Excel(name = "抵押权建立日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date DYQJLRQ;

    /** 抵押权解除日期 */
    @Excel(name = "抵押权解除日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date DYQJCRQ;

    /** 抵押物评估价值 */
    @Excel(name = "抵押物评估价值")
    private BigDecimal DYWPGJZ;

    /** 保证合同编号 */
    @Excel(name = "保证合同编号")
    private String BZHTBH;

    /** 保证机构名称 */
    @Excel(name = "保证机构名称")
    private String BZJGMC;

    /** 贷款保证金 */
    @Excel(name = "贷款保证金")
    private BigDecimal DKBZJ;

    /** 质押合同编号 */
    @Excel(name = "质押合同编号")
    private String ZYHTBH;

    /** 质押物编号 */
    @Excel(name = "质押物编号")
    private String ZYWBH;

    /** 质押物名称 */
    @Excel(name = "质押物名称")
    private String ZYWMC;

    /** 质押物价值 */
    @Excel(name = "质押物价值")
    private BigDecimal ZYWJZ;

    /** 质押合同开始日期 */
    @Excel(name = "质押合同开始日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date ZYHTKSRQ;

    /** 质押合同结束日期 */
    @Excel(name = "质押合同结束日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date ZYHTJSRQ;

    /** 中心编号 */
    @Excel(name = "中心编号")
    private String ZXBH;

    /** 最后更新时间戳 */
    @Excel(name = "最后更新时间戳", width = 30, dateFormat = "yyyy-MM-dd")
    private Date lastUpdateTime;

    /** 抵押房屋购房合同号 */
    @Excel(name = "抵押房屋购房合同号")
    private String DYFWGFHTH;

    /** 处理类型 */
    @Excel(name = "处理类型")
    private Long CLLX;

    public void setID(Long ID)
    {
        this.ID = ID;
    }

    public Long getID()
    {
        return ID;
    }
    public void setDBHTBH(String DBHTBH)
    {
        this.DBHTBH = DBHTBH;
    }

    public String getDBHTBH()
    {
        return DBHTBH;
    }
    public void setJKHTBH(String JKHTBH)
    {
        this.JKHTBH = JKHTBH;
    }

    public String getJKHTBH()
    {
        return JKHTBH;
    }
    public void setDBJGMC(String DBJGMC)
    {
        this.DBJGMC = DBJGMC;
    }

    public String getDBJGMC()
    {
        return DBJGMC;
    }
    public void setDYWQZH(String DYWQZH)
    {
        this.DYWQZH = DYWQZH;
    }

    public String getDYWQZH()
    {
        return DYWQZH;
    }
    public void setDYWTXQZH(String DYWTXQZH)
    {
        this.DYWTXQZH = DYWTXQZH;
    }

    public String getDYWTXQZH()
    {
        return DYWTXQZH;
    }
    public void setDYWFWZL(String DYWFWZL)
    {
        this.DYWFWZL = DYWFWZL;
    }

    public String getDYWFWZL()
    {
        return DYWFWZL;
    }
    public void setDYQJLRQ(Date DYQJLRQ)
    {
        this.DYQJLRQ = DYQJLRQ;
    }

    public Date getDYQJLRQ()
    {
        return DYQJLRQ;
    }
    public void setDYQJCRQ(Date DYQJCRQ)
    {
        this.DYQJCRQ = DYQJCRQ;
    }

    public Date getDYQJCRQ()
    {
        return DYQJCRQ;
    }
    public void setDYWPGJZ(BigDecimal DYWPGJZ)
    {
        this.DYWPGJZ = DYWPGJZ;
    }

    public BigDecimal getDYWPGJZ()
    {
        return DYWPGJZ;
    }
    public void setBZHTBH(String BZHTBH)
    {
        this.BZHTBH = BZHTBH;
    }

    public String getBZHTBH()
    {
        return BZHTBH;
    }
    public void setBZJGMC(String BZJGMC)
    {
        this.BZJGMC = BZJGMC;
    }

    public String getBZJGMC()
    {
        return BZJGMC;
    }
    public void setDKBZJ(BigDecimal DKBZJ)
    {
        this.DKBZJ = DKBZJ;
    }

    public BigDecimal getDKBZJ()
    {
        return DKBZJ;
    }
    public void setZYHTBH(String ZYHTBH)
    {
        this.ZYHTBH = ZYHTBH;
    }

    public String getZYHTBH()
    {
        return ZYHTBH;
    }
    public void setZYWBH(String ZYWBH)
    {
        this.ZYWBH = ZYWBH;
    }

    public String getZYWBH()
    {
        return ZYWBH;
    }
    public void setZYWMC(String ZYWMC)
    {
        this.ZYWMC = ZYWMC;
    }

    public String getZYWMC()
    {
        return ZYWMC;
    }
    public void setZYWJZ(BigDecimal ZYWJZ)
    {
        this.ZYWJZ = ZYWJZ;
    }

    public BigDecimal getZYWJZ()
    {
        return ZYWJZ;
    }
    public void setZYHTKSRQ(Date ZYHTKSRQ)
    {
        this.ZYHTKSRQ = ZYHTKSRQ;
    }

    public Date getZYHTKSRQ()
    {
        return ZYHTKSRQ;
    }
    public void setZYHTJSRQ(Date ZYHTJSRQ)
    {
        this.ZYHTJSRQ = ZYHTJSRQ;
    }

    public Date getZYHTJSRQ()
    {
        return ZYHTJSRQ;
    }
    public void setZXBH(String ZXBH)
    {
        this.ZXBH = ZXBH;
    }

    public String getZXBH()
    {
        return ZXBH;
    }
    public void setLastUpdateTime(Date lastUpdateTime)
    {
        this.lastUpdateTime = lastUpdateTime;
    }

    public Date getLastUpdateTime()
    {
        return lastUpdateTime;
    }
    public void setDYFWGFHTH(String DYFWGFHTH)
    {
        this.DYFWGFHTH = DYFWGFHTH;
    }

    public String getDYFWGFHTH()
    {
        return DYFWGFHTH;
    }
    public void setCLLX(Long CLLX)
    {
        this.CLLX = CLLX;
    }

    public Long getCLLX()
    {
        return CLLX;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("ID", getID())
            .append("DBHTBH", getDBHTBH())
            .append("JKHTBH", getJKHTBH())
            .append("DBJGMC", getDBJGMC())
            .append("DYWQZH", getDYWQZH())
            .append("DYWTXQZH", getDYWTXQZH())
            .append("DYWFWZL", getDYWFWZL())
            .append("DYQJLRQ", getDYQJLRQ())
            .append("DYQJCRQ", getDYQJCRQ())
            .append("DYWPGJZ", getDYWPGJZ())
            .append("BZHTBH", getBZHTBH())
            .append("BZJGMC", getBZJGMC())
            .append("DKBZJ", getDKBZJ())
            .append("ZYHTBH", getZYHTBH())
            .append("ZYWBH", getZYWBH())
            .append("ZYWMC", getZYWMC())
            .append("ZYWJZ", getZYWJZ())
            .append("ZYHTKSRQ", getZYHTKSRQ())
            .append("ZYHTJSRQ", getZYHTJSRQ())
            .append("ZXBH", getZXBH())
            .append("lastUpdateTime", getLastUpdateTime())
            .append("DYFWGFHTH", getDYFWGFHTH())
            .append("CLLX", getCLLX())
            .toString();
    }
}
